Bhashik Text API
Provide your API key as a Bearer token: Authorization: Bearer <KRUTRIM_API_KEY>
Input text to analyze.
Hey there, welcome to Language LabsDetected languages with confidences.
successBad Request — Invalid request format or parameters.
Unauthorized — Invalid or missing API key.
Not Found — The requested resource was not found.
Unprocessable Entity — Validation failed.
Too Many Requests — Rate limit exceeded.
Internal Server Error.
Bad Gateway — Upstream service error.
Service Unavailable — Try again later.
curl --location 'https://cloud.olakrutrim.com/api/v1/languagelabs/language-detection' -H 'Content-Type: application/json' -H 'Authorization: Bearer $KRUTRIM_API_KEY' --data '{
"query": "Hey there, welcome to Language Labs"
}'
{
"status": "success",
"data": [
{
"label": "Primary Language",
"value": "English (Confidence: 80.0%)"
}
]
}Provide your API key as a Bearer token: Authorization: Bearer <KRUTRIM_API_KEY>
Input text to analyze.
Language code for input text (e.g., hin, ben, mar, tam, tel, kan, mal, pan, guj).
hinPossible values: Extracted entities and PII.
success11Bad Request — Invalid request format or parameters.
Unauthorized — Invalid or missing API key.
Unprocessable Entity — Validation failed.
Too Many Requests — Rate limit exceeded.
Internal Server Error.
curl --location 'https://cloud.olakrutrim.com/api/v1/languagelabs/entity-extraction' -H "Content-Type: application/json" -H "Authorization: Bearer $KRUTRIM_API_KEY" --data '{
"text": "मेरे मित्र राजेश कुमार, जिनका जन्म 5 मई 1985 को दिल्ली में हुआ था...",
"param_list": ["ner", "pii"],
"lang_from": "hin"
}'
{
"status": "success",
"data": [
{
"title": "Personal_Identifiable_information(PII)",
"color": "#00FF00",
"data": [
{
"label": "Name",
"value": "राजेश कुमार"
}
]
}
],
"Total_entities": 11
}Provide your API key as a Bearer token: Authorization: Bearer <KRUTRIM_API_KEY>
Text to summarize.
Language code for the input text. Supported: eng (English), hin (Hindi), ben (Bengali), mar (Marathi), tam (Tamil), tel (Telugu), kan (Kannada), mal (Malayalam), pan (Punjabi), guj (Gujarati).
engPossible values: Target summary size in words.
5Summary generated successfully.
successBad Request — Invalid request format or parameters.
Unauthorized — Invalid or missing API key.
Unprocessable Entity — Validation failed.
Too Many Requests — Rate limit exceeded.
Internal Server Error.
curl --location 'https://cloud.olakrutrim.com/api/v1/languagelabs/summarization' -H 'Authorization: Bearer $KRUTRIM_API_KEY' -H 'Content-Type: application/json' --data '{
"text": "Krutrim, a part of the Ola group, is working on creating the AI computing stack...",
"input_language": "eng",
"summary_size": 5
}'
{
"status": "success",
"data": {
"summaryText": "Krutrim builds AI computing stack for India and world."
}
}Provide your API key as a Bearer token: Authorization: Bearer <KRUTRIM_API_KEY>
Input text to translate.
Source language code (e.g., eng_Latn).
eng_LatnTarget language code (e.g., hin_Deva).
hin_DevaTranslation model to be used.
krutrim-translate-v1.0Possible values: Translation generated successfully.
successBad Request — Invalid request format or parameters.
Unauthorized — Invalid or missing API key.
Unprocessable Entity — Validation failed.
Too Many Requests — Rate limit exceeded.
Internal Server Error.
Bad Gateway — Upstream service error.
Service Unavailable — Try again later.
curl --location 'https://cloud.olakrutrim.com/api/v1/languagelabs/translation' -H 'Authorization: Bearer $KRUTRIM_API_KEY' -H 'Content-Type: application/json' --data '{
"text": "Krutrim, a part of the Ola group, is working on creating the AI computing stack...",
"src_language": "eng_Latn",
"tgt_language": "hin_Deva",
"model": "krutrim-translate-v1.0"
}'
{
"status": "success",
"data": {
"translated_text": "ओला समूह का एक हिस्सा कृत्रिम भविष्य का एआई कंप्यूटिंग स्टैक बनाने पर काम कर रहा है..."
}
}Provide your API key as a Bearer token: Authorization: Bearer <KRUTRIM_API_KEY>
Input text to analyze.
Language code for input text (e.g., eng, hin, ben, mar, tam, tel, kan, mal, pan, guj).
engPossible values: Sentiment labels detected.
successBad Request — Invalid request format or parameters.
Unauthorized — Invalid or missing API key.
Unprocessable Entity — Validation failed.
Too Many Requests — Rate limit exceeded.
Internal Server Error.
curl --location 'https://cloud.olakrutrim.com/api/v1/languagelabs/sentiment-analysis' -H 'Authorization: Bearer $KRUTRIM_API_KEY' -H 'Content-Type: application/json' --data '{
"text": "He felt a surge of joy as he watched the sunrise...",
"lang_from": "eng"
}'
{
"status": "success",
"Sentiment": [
{
"label": "He felt a surge of joy as he watched the sunrise...",
"value": [
"joy"
]
}
]
}Last updated
Was this helpful?

